> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add an app config > Add an app config. ## OpenAPI ````json POST /v1/app_configs { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/app_configs": { "post": { "tags": [ "ApplicationConfig" ], "summary": "Add an app config.", "description": "Add an app config.", "operationId": "createApplicationConfig", "requestBody": { "$ref": "#/components/requestBodies/CreateApplicationConfigRequest" }, "responses": { "200": { "description": "Details of an app config", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApplicationConfigResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Writer,Manager,ActiveAccount" } } }, "components": { "requestBodies": { "CreateApplicationConfigRequest": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApplicationConfig" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "ApplicationConfigResponse": { "required": [ "config_id", "created_at", "updated_at", "name", "description", "app_config", "labels", "ports", "group_id" ], "type": "object", "properties": { "config_id": { "type": "string" }, "created_at": { "type": "integer", "format": "int64" }, "updated_at": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "description": { "type": "string" }, "app_config": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigContents" }, "x-sorted": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "x-sorted": true }, "ports": { "type": "array", "items": { "type": "string" }, "x-sorted": true }, "zone": { "$ref": "#/components/schemas/VersionedZoneId" }, "group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfig": { "required": [ "name", "description", "app_config", "labels", "ports" ], "type": "object", "properties": { "name": { "type": "string" }, "description": { "type": "string" }, "app_config": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigContents" }, "x-sorted": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "x-sorted": true }, "ports": { "type": "array", "items": { "type": "string" }, "x-sorted": true }, "zone": { "$ref": "#/components/schemas/VersionedZoneId" }, "group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfigContents": { "required": [ "value" ], "type": "object", "properties": { "contents": { "type": "string" } } }, "VersionedZoneId": { "required": [ "id" ], "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "version": { "type": "integer", "format": "int64" } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````